fdf_remove_item
fdf_save
FDF Functions
PHP Manual

# fdf_save_string

Returns the FDF document as a string

### Description

string fdf_save_string ( resource `$fdf_document` )

Returns the FDF document as a string.

### Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create, fdf_open or fdf_open_string.

### Return Values

Returns the document as a string, or `FALSE` on error.

### Examples

Example #1 Retrieving FDF as a string

`<?php
$fdf = fdf_create();
fdf_set_value($fdf, "foo", "bar");
$str = fdf_save_string($fdf);
fdf_close($fdf);
echo $str;
?>`

The above example will output:

    %FDF-1.2
    %âãÏÓ
    1 0 obj
    <<
    /FDF << /Fields 2 0 R >>
    >>
    endobj
    2 0 obj
    [
    << /T (foo)/V (bar)>>
    ]
    endobj
    trailer
    <<
    /Root 1 0 R

    >>
    %%EOF

### See Also

- fdf_open_string
- fdf_close
- fdf_create
- fdf_save